%global srcname espeak

Name:           python-%{srcname}
Version:        0.6.3
Release:        %autorelease
Summary:        Wikipedia API for Python

License:        GPL-3.0-or-later
URL:            https://pypi.org/project/python-espeak/
Source0:        https://files.pythonhosted.org/packages/59/5b/45437090dbd71ee9f586dc7f650c6e8c4815bd8bff9b2923d4db5b9120ed/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/asrp/python-espeak/refs/heads/master/COPYING#/%{name}-COPYING

%description
See also python3-%{srcname}

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  espeak-devel
BuildRequires:  gcc-g++
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#Requires:       espeak

%description -n python3-%{srcname}
This is a modified version of python-espeak ([previous version here]
(https://launchpad.net/python-espeak)). It is a Python binding over the
[eSpeak speech synthesizer](http://espeak.sourceforge.net/) C library and does
not simply make calls to the `espeak` binary.

%prep
%autosetup -p1
cp %SOURCE1 COPYING

%build
%py3_build

%install
%py3_install

%check
echo
#%%pytest

%files -n python3-%{srcname}
%doc README.md
%license COPYING
%{python3_sitearch}/%{srcname}
%{python3_sitearch}/python_%{srcname}-*.egg-info

%changelog
%autochangelog
